<?php

namespace Straxus\FarfetchSDK;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'UpdateBoArtigosRefFar' => '\\Straxus\\FarfetchSDK\\Model\\UpdateBoArtigosRefFar',
            'UpdateBoArtigosRefFarResponse' => '\\Straxus\\FarfetchSDK\\Model\\UpdateBoArtigosRefFarResponse',
            'GetPossibleDuplicates' => '\\Straxus\\FarfetchSDK\\Model\\GetPossibleDuplicates',
            'ProductSummary' => '\\Straxus\\FarfetchSDK\\Model\\ProductSummary',
            'SizeRange' => '\\Straxus\\FarfetchSDK\\Model\\SizeRange',
            'ArrayOfItemSize' => '\\Straxus\\FarfetchSDK\\Array\\ArrayOfItemSize',
            'ItemSize' => '\\Straxus\\FarfetchSDK\\Model\\ItemSize',
            'ArrayOfProductSummary' => '\\Straxus\\FarfetchSDK\\Array\\ArrayOfProductSummary',
            'GetPossibleDuplicatesResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetPossibleDuplicatesResponse',
            'SaveGeoBrandPrices' => '\\Straxus\\FarfetchSDK\\Model\\SaveGeoBrandPrices',
            'ArrayOfGeoBrandPriceInput' => '\\Straxus\\FarfetchSDK\\Array\\ArrayOfGeoBrandPriceInput',
            'GeoBrandPriceInput' => '\\Straxus\\FarfetchSDK\\Model\\GeoBrandPriceInput',
            'GeoBrandPriceSaveResult' => '\\Straxus\\FarfetchSDK\\Model\\GeoBrandPriceSaveResult',
            'ArrayOfString' => '\\Straxus\\FarfetchSDK\\Array\\ArrayOfString',
            'ArrayOfGeoBrandPriceSaveResult' => '\\Straxus\\FarfetchSDK\\Array\\ArrayOfGeoBrandPriceSaveResult',
            'SaveGeoBrandPricesResponse' => '\\Straxus\\FarfetchSDK\\Model\\SaveGeoBrandPricesResponse',
            'GetBrandRegions' => '\\Straxus\\FarfetchSDK\\Model\\GetBrandRegions',
            'GeoRegion' => '\\Straxus\\FarfetchSDK\\Model\\GeoRegion',
            'ArrayOfGeoRegion' => '\\Straxus\\FarfetchSDK\\Array\\ArrayOfGeoRegion',
            'GetBrandRegionsResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetBrandRegionsResponse',
            'AssociateToChildProduct' => '\\Straxus\\FarfetchSDK\\Model\\AssociateToChildProduct',
            'ArrayOfSimpleBoutiqueBarcode' => '\\Straxus\\FarfetchSDK\\Array\\ArrayOfSimpleBoutiqueBarcode',
            'SimpleBoutiqueBarcode' => '\\Straxus\\FarfetchSDK\\Model\\SimpleBoutiqueBarcode',
            'AssociationResult' => '\\Straxus\\FarfetchSDK\\Model\\AssociationResult',
            'ArrayOfBoutiqueBarcodeResult' => '\\Straxus\\FarfetchSDK\\Array\\ArrayOfBoutiqueBarcodeResult',
            'BoutiqueBarcodeResult' => '\\Straxus\\FarfetchSDK\\Model\\BoutiqueBarcodeResult',
            'AssociateToChildProductResponse' => '\\Straxus\\FarfetchSDK\\Model\\AssociateToChildProductResponse',
            'AssociateProduct' => '\\Straxus\\FarfetchSDK\\Model\\AssociateProduct',
            'AssociateProductResponse' => '\\Straxus\\FarfetchSDK\\Model\\AssociateProductResponse',
            'AssociateProductWithVat' => '\\Straxus\\FarfetchSDK\\Model\\AssociateProductWithVat',
            'AssociateProductWithVatResponse' => '\\Straxus\\FarfetchSDK\\Model\\AssociateProductWithVatResponse',
            'GetAllStock' => '\\Straxus\\FarfetchSDK\\Model\\GetAllStock',
            'GetAllStockResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetAllStockResponse',
            'GetAllStockResult' => '\\Straxus\\FarfetchSDK\\Model\\GetAllStockResult',
            'GetAllStockWithStoreBarcodes' => '\\Straxus\\FarfetchSDK\\Model\\GetAllStockWithStoreBarcodes',
            'GetAllStockWithStoreBarcodesResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetAllStockWithStoreBarcodesResponse',
            'GetAllStockWithStoreBarcodesResult' => '\\Straxus\\FarfetchSDK\\Model\\GetAllStockWithStoreBarcodesResult',
            'GetBoxName' => '\\Straxus\\FarfetchSDK\\Model\\GetBoxName',
            'GetBoxNameResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetBoxNameResponse',
            'GetBoxes' => '\\Straxus\\FarfetchSDK\\Model\\GetBoxes',
            'GetBoxesResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetBoxesResponse',
            'GetBoxesResult' => '\\Straxus\\FarfetchSDK\\Model\\GetBoxesResult',
            'GetDefaultCountries' => '\\Straxus\\FarfetchSDK\\Model\\GetDefaultCountries',
            'GetDefaultCountriesResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetDefaultCountriesResponse',
            'GetDefaultCountriesResult' => '\\Straxus\\FarfetchSDK\\Model\\GetDefaultCountriesResult',
            'GetList' => '\\Straxus\\FarfetchSDK\\Model\\GetList',
            'GetListResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetListResponse',
            'GetListResult' => '\\Straxus\\FarfetchSDK\\Model\\GetListResult',
            'GetColourTypes' => '\\Straxus\\FarfetchSDK\\Model\\GetColourTypes',
            'GetColourTypesResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetColourTypesResponse',
            'GetColourTypesResult' => '\\Straxus\\FarfetchSDK\\Model\\GetColourTypesResult',
            'GetComposition' => '\\Straxus\\FarfetchSDK\\Model\\GetComposition',
            'GetCompositionResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetCompositionResponse',
            'GetCompositionResult' => '\\Straxus\\FarfetchSDK\\Model\\GetCompositionResult',
            'GetMainView' => '\\Straxus\\FarfetchSDK\\Model\\GetMainView',
            'GetMainViewResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetMainViewResponse',
            'GetMeasures' => '\\Straxus\\FarfetchSDK\\Model\\GetMeasures',
            'GetMeasuresResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetMeasuresResponse',
            'GetMeasuresResult' => '\\Straxus\\FarfetchSDK\\Model\\GetMeasuresResult',
            'GetPropValueNameById' => '\\Straxus\\FarfetchSDK\\Model\\GetPropValueNameById',
            'GetPropValueNameByIdResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetPropValueNameByIdResponse',
            'GetPropValueIdByName' => '\\Straxus\\FarfetchSDK\\Model\\GetPropValueIdByName',
            'GetPropValueIdByNameResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetPropValueIdByNameResponse',
            'GetProperty' => '\\Straxus\\FarfetchSDK\\Model\\GetProperty',
            'GetPropertyResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetPropertyResponse',
            'GetSizeHelpId' => '\\Straxus\\FarfetchSDK\\Model\\GetSizeHelpId',
            'GetSizeHelpIdResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetSizeHelpIdResponse',
            'GetSizes' => '\\Straxus\\FarfetchSDK\\Model\\GetSizes',
            'GetSizesResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetSizesResponse',
            'GetSizesResult' => '\\Straxus\\FarfetchSDK\\Model\\GetSizesResult',
            'GetStock' => '\\Straxus\\FarfetchSDK\\Model\\GetStock',
            'GetStockResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetStockResponse',
            'GetStoreItems' => '\\Straxus\\FarfetchSDK\\Model\\GetStoreItems',
            'GetStoreItemsResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetStoreItemsResponse',
            'GetStoreItemsResult' => '\\Straxus\\FarfetchSDK\\Model\\GetStoreItemsResult',
            'GetStorePrice' => '\\Straxus\\FarfetchSDK\\Model\\GetStorePrice',
            'GetStorePriceResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetStorePriceResponse',
            'GetWebsiteDescription' => '\\Straxus\\FarfetchSDK\\Model\\GetWebsiteDescription',
            'GetWebsiteDescriptionResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetWebsiteDescriptionResponse',
            'existSKU' => '\\Straxus\\FarfetchSDK\\Model\\ExistSKU',
            'existSKUResponse' => '\\Straxus\\FarfetchSDK\\Model\\ExistSKUResponse',
            'isBrandVisible' => '\\Straxus\\FarfetchSDK\\Model\\IsBrandVisible',
            'isBrandVisibleResponse' => '\\Straxus\\FarfetchSDK\\Model\\IsBrandVisibleResponse',
            'GetSKUandDesingerID' => '\\Straxus\\FarfetchSDK\\Model\\GetSKUandDesingerID',
            'GetSKUandDesingerIDResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetSKUandDesingerIDResponse',
            'GetParentItemId' => '\\Straxus\\FarfetchSDK\\Model\\GetParentItemId',
            'GetParentItemIdResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetParentItemIdResponse',
            'GetFFItemId' => '\\Straxus\\FarfetchSDK\\Model\\GetFFItemId',
            'GetFFItemIdResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetFFItemIdResponse',
            'GetFFItemUrl' => '\\Straxus\\FarfetchSDK\\Model\\GetFFItemUrl',
            'GetFFItemUrlResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetFFItemUrlResponse',
            'GetGender' => '\\Straxus\\FarfetchSDK\\Model\\GetGender',
            'GetGenderResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetGenderResponse',
            'GetGenderResult' => '\\Straxus\\FarfetchSDK\\Model\\GetGenderResult',
            'GetMaterialCategory' => '\\Straxus\\FarfetchSDK\\Model\\GetMaterialCategory',
            'GetMaterialCategoryResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetMaterialCategoryResponse',
            'GetMaterialCategoryResult' => '\\Straxus\\FarfetchSDK\\Model\\GetMaterialCategoryResult',
            'GetMaterial' => '\\Straxus\\FarfetchSDK\\Model\\GetMaterial',
            'GetMaterialResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetMaterialResponse',
            'GetMaterialResult' => '\\Straxus\\FarfetchSDK\\Model\\GetMaterialResult',
            'GetCategories' => '\\Straxus\\FarfetchSDK\\Model\\GetCategories',
            'GetCategoriesResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetCategoriesResponse',
            'GetCategoriesResult' => '\\Straxus\\FarfetchSDK\\Model\\GetCategoriesResult',
            'Get2ndLevelCats' => '\\Straxus\\FarfetchSDK\\Model\\Get2ndLevelCats',
            'Get2ndLevelCatsResponse' => '\\Straxus\\FarfetchSDK\\Model\\Get2ndLevelCatsResponse',
            'Get2ndLevelCatsResult' => '\\Straxus\\FarfetchSDK\\Model\\Get2ndLevelCatsResult',
            'GetSizeRangesFiltered' => '\\Straxus\\FarfetchSDK\\Model\\GetSizeRangesFiltered',
            'GetSizeRangesFilteredResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetSizeRangesFilteredResponse',
            'GetSizeRangesFilteredResult' => '\\Straxus\\FarfetchSDK\\Model\\GetSizeRangesFilteredResult',
            'SearchSizeScalesForProductCreation' => '\\Straxus\\FarfetchSDK\\Model\\SearchSizeScalesForProductCreation',
            'SearchSizeScalesForProductCreationResponse' => '\\Straxus\\FarfetchSDK\\Model\\SearchSizeScalesForProductCreationResponse',
            'SearchSizeScalesForProductCreationResult' => '\\Straxus\\FarfetchSDK\\Model\\SearchSizeScalesForProductCreationResult',
            'GetSlots' => '\\Straxus\\FarfetchSDK\\Model\\GetSlots',
            'GetSlotsResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetSlotsResponse',
            'GetSlotsResult' => '\\Straxus\\FarfetchSDK\\Model\\GetSlotsResult',
            'GetOpenSlots' => '\\Straxus\\FarfetchSDK\\Model\\GetOpenSlots',
            'GetOpenSlotsResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetOpenSlotsResponse',
            'GetOpenSlotsResult' => '\\Straxus\\FarfetchSDK\\Model\\GetOpenSlotsResult',
            'GetSonId' => '\\Straxus\\FarfetchSDK\\Model\\GetSonId',
            'GetSonIdResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetSonIdResponse',
            'GetSonIdForOrderManagement' => '\\Straxus\\FarfetchSDK\\Model\\GetSonIdForOrderManagement',
            'GetSonIdForOrderManagementResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetSonIdForOrderManagementResponse',
            'GetDesignerIdsForSeasonBrand' => '\\Straxus\\FarfetchSDK\\Model\\GetDesignerIdsForSeasonBrand',
            'GetDesignerIdsForSeasonBrandResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetDesignerIdsForSeasonBrandResponse',
            'IsBrandSeasonDesignerIdListBound' => '\\Straxus\\FarfetchSDK\\Model\\IsBrandSeasonDesignerIdListBound',
            'IsBrandSeasonDesignerIdListBoundResponse' => '\\Straxus\\FarfetchSDK\\Model\\IsBrandSeasonDesignerIdListBoundResponse',
            'CreateProduct' => '\\Straxus\\FarfetchSDK\\Model\\CreateProduct',
            'ArrayOfInt' => '\\Straxus\\FarfetchSDK\\Array\\ArrayOfInt',
            'CreateProductResponse' => '\\Straxus\\FarfetchSDK\\Model\\CreateProductResponse',
            'CreateProductWithUuid' => '\\Straxus\\FarfetchSDK\\Model\\CreateProductWithUuid',
            'CreateProductWithUuidResponse' => '\\Straxus\\FarfetchSDK\\Model\\CreateProductWithUuidResponse',
            'CreateProductWithUuidAndVat' => '\\Straxus\\FarfetchSDK\\Model\\CreateProductWithUuidAndVat',
            'CreateProductWithUuidAndVatResponse' => '\\Straxus\\FarfetchSDK\\Model\\CreateProductWithUuidAndVatResponse',
            'InsertMaterials' => '\\Straxus\\FarfetchSDK\\Model\\InsertMaterials',
            'InsertMaterialsResponse' => '\\Straxus\\FarfetchSDK\\Model\\InsertMaterialsResponse',
            'InsertSizesQuantity' => '\\Straxus\\FarfetchSDK\\Model\\InsertSizesQuantity',
            'InsertSizesQuantityResponse' => '\\Straxus\\FarfetchSDK\\Model\\InsertSizesQuantityResponse',
            'GetAllPictures' => '\\Straxus\\FarfetchSDK\\Model\\GetAllPictures',
            'GetAllPicturesResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetAllPicturesResponse',
            'GetAllPicturesResult' => '\\Straxus\\FarfetchSDK\\Model\\GetAllPicturesResult',
            'GetAllPicturesByBarcode' => '\\Straxus\\FarfetchSDK\\Model\\GetAllPicturesByBarcode',
            'GetAllPicturesByBarcodeResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetAllPicturesByBarcodeResponse',
            'GetAllPicturesByBarcodeResult' => '\\Straxus\\FarfetchSDK\\Model\\GetAllPicturesByBarcodeResult',
            'InsertStoreBarcode' => '\\Straxus\\FarfetchSDK\\Model\\InsertStoreBarcode',
            'InsertStoreBarcodeResponse' => '\\Straxus\\FarfetchSDK\\Model\\InsertStoreBarcodeResponse',
            'ProductPriceUpdate' => '\\Straxus\\FarfetchSDK\\Model\\ProductPriceUpdate',
            'ProductPriceUpdateResponse' => '\\Straxus\\FarfetchSDK\\Model\\ProductPriceUpdateResponse',
            'AddCountryOfOriginToItem' => '\\Straxus\\FarfetchSDK\\Model\\AddCountryOfOriginToItem',
            'AddCountryOfOriginToItemResponse' => '\\Straxus\\FarfetchSDK\\Model\\AddCountryOfOriginToItemResponse',
            'AddDesignerIdToBrandSeasonList' => '\\Straxus\\FarfetchSDK\\Model\\AddDesignerIdToBrandSeasonList',
            'AddDesignerIdToBrandSeasonListResponse' => '\\Straxus\\FarfetchSDK\\Model\\AddDesignerIdToBrandSeasonListResponse',
            'GetAllSizeRangesInUse' => '\\Straxus\\FarfetchSDK\\Model\\GetAllSizeRangesInUse',
            'GetAllSizeRangesInUseResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetAllSizeRangesInUseResponse',
            'GetAllSizeRangesInUseResult' => '\\Straxus\\FarfetchSDK\\Model\\GetAllSizeRangesInUseResult',
            'MappDuplicates' => '\\Straxus\\FarfetchSDK\\Model\\MappDuplicates',
            'MappDuplicatesResponse' => '\\Straxus\\FarfetchSDK\\Model\\MappDuplicatesResponse',
            'GetTransportationProperties' => '\\Straxus\\FarfetchSDK\\Model\\GetTransportationProperties',
            'TransportationProperty' => '\\Straxus\\FarfetchSDK\\Model\\TransportationProperty',
            'ArrayOfTransportationProperty' => '\\Straxus\\FarfetchSDK\\Array\\ArrayOfTransportationProperty',
            'GetTransportationPropertiesResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetTransportationPropertiesResponse',
            'GetProductTransportationProperties' => '\\Straxus\\FarfetchSDK\\Model\\GetProductTransportationProperties',
            'TransportationProduct' => '\\Straxus\\FarfetchSDK\\Model\\TransportationProduct',
            'GetProductTransportationPropertiesResponse' => '\\Straxus\\FarfetchSDK\\Model\\GetProductTransportationPropertiesResponse',
        );
    }
}
