<?php

namespace Straxus\FarfetchSDK\Model;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GeoBrandPriceSaveResult Model
 * @subpackage Structs
 */
class GeoBrandPriceSaveResult extends AbstractStructBase
{
    /**
     * The Success
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Success;
    /**
     * The OriginalInput
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Straxus\FarfetchSDK\Model\GeoBrandPriceInput
     */
    public $OriginalInput;
    /**
     * The Errors
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Straxus\FarfetchSDK\Array\ArrayOfString
     */
    public $Errors;
    /**
     * Constructor method for GeoBrandPriceSaveResult
     * @uses GeoBrandPriceSaveResult::setSuccess()
     * @uses GeoBrandPriceSaveResult::setOriginalInput()
     * @uses GeoBrandPriceSaveResult::setErrors()
     * @param bool $success
     * @param \Straxus\FarfetchSDK\Model\GeoBrandPriceInput $originalInput
     * @param \Straxus\FarfetchSDK\Array\ArrayOfString $errors
     */
    public function __construct($success = null, \Straxus\FarfetchSDK\Model\GeoBrandPriceInput $originalInput = null, \Straxus\FarfetchSDK\Array\ArrayOfString $errors = null)
    {
        $this
            ->setSuccess($success)
            ->setOriginalInput($originalInput)
            ->setErrors($errors);
    }
    /**
     * Get Success value
     * @return bool
     */
    public function getSuccess()
    {
        return $this->Success;
    }
    /**
     * Set Success value
     * @param bool $success
     * @return \Straxus\FarfetchSDK\Model\GeoBrandPriceSaveResult
     */
    public function setSuccess($success = null)
    {
        // validation for constraint: boolean
        if (!is_null($success) && !is_bool($success)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($success, true), gettype($success)), __LINE__);
        }
        $this->Success = $success;
        return $this;
    }
    /**
     * Get OriginalInput value
     * @return \Straxus\FarfetchSDK\Model\GeoBrandPriceInput|null
     */
    public function getOriginalInput()
    {
        return $this->OriginalInput;
    }
    /**
     * Set OriginalInput value
     * @param \Straxus\FarfetchSDK\Model\GeoBrandPriceInput $originalInput
     * @return \Straxus\FarfetchSDK\Model\GeoBrandPriceSaveResult
     */
    public function setOriginalInput(\Straxus\FarfetchSDK\Model\GeoBrandPriceInput $originalInput = null)
    {
        $this->OriginalInput = $originalInput;
        return $this;
    }
    /**
     * Get Errors value
     * @return \Straxus\FarfetchSDK\Array\ArrayOfString|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \Straxus\FarfetchSDK\Array\ArrayOfString $errors
     * @return \Straxus\FarfetchSDK\Model\GeoBrandPriceSaveResult
     */
    public function setErrors(\Straxus\FarfetchSDK\Array\ArrayOfString $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Straxus\FarfetchSDK\Model\GeoBrandPriceSaveResult
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
